/// <reference types="react" />
export interface InvitationModalProps {
    onConfirm: () => void;
    onReject?: () => void;
    onClose: () => void;
    isOpen: boolean;
    userName?: string;
    invitationType: InvitationType;
    target: {
        name: string;
        type: InvitationTargetType;
    };
    closeOnReject?: boolean;
}
export declare enum InvitationType {
    ACCEPT = "accept",
    REJECT = "reject",
    REMOVE = "remove",
    JOIN = "join"
}
export declare enum InvitationTargetType {
    TEAM = "team",
    HOST_INSTITUTION = "host institution"
}
declare const InvitationModal: ({ onClose, onConfirm, onReject, isOpen, invitationType, target, userName, closeOnReject }: InvitationModalProps) => JSX.Element;
export default InvitationModal;
